CREATE TABLE gggg.m_visit (
	visitId numeric  NOT NULL DEFAULT nextval('gggg.m_visitId_seq'),
	visitSessionCode varchar(500) NULL,
	visitDate date NOT NULL,
	visitPurpose varchar(500) NOT NULL,
	guestId numeric NOT NULL,
	guestCardId varchar(50) NOT NULL,
	guestName varchar(500) NOT NULL,
	guestPhone varchar(50) NOT NULL,
	guestEmail varchar(500) NOT NULL,
	guestCompany varchar(500) NOT NULL,
	guestPictureUrl varchar(2500) NULL,
	guestPictureCardId varchar(2500) NULL,		
	siteId numeric NOT NULL,
	siteCode varchar(50) NOT NULL,
	siteName varchar(50) NOT NULL,	
	siteSpecific varchar(500) NULL,
	formaccessmentid numeric NULL,
	formaccessment JSON NULL, 
	contactId numeric NULL,
	contactName varchar(500) NULL,	
	contactEmail varchar(500) NULL,	
	contactExt varchar(500) NULL,
	contactAltName varchar(500) NULL,
	assuranceCardType varchar(500) NULL, 
	assuranceCardNo varchar(500) NULL,
	accessCardTag varchar(50) NULL,
	accessCardPairNo varchar(50) NULL,
	checkIn timestamp(0) NULL,
	checkOut timestamp(0) NULL,	
	endVisitDate timestamp(0) NULL,
	endVisitFlag varchar(1) NULL,
	endVisitReason varchar(500) NULL,
	endVisitBy varchar(500) NULL,
	creation_date timestamp(0) NULL,
	created_by varchar(500) NULL,
	last_update_date timestamp(0) NULL,
	last_updated_by varchar(500) NULL,
	CONSTRAINT m_visit_unique UNIQUE (visitSessionCode)
);
